freeslot("SPR_TDIE") -- Teto Gibs
freeslot("SPR_BDIE") -- Dry Bones Gibs

// We toss everything in a ThinkFrame so we can let the CustomGibsThinker.lua load first!
local ScriptLoaded = false
addHook("ThinkFrame", function()
	if not(ScriptLoaded)
	and CUSTOM_GIBS then
		ScriptLoaded = true 

		// Create your list of skins for custom gibs here!
		// 		sprite -	The SPR to switch to
		// 		frame -		The frame of the SPR to switch to
		// 		nullifier - Set to true if you want to remove this part
		CUSTOM_GIBS["kasaneteto"] = {
			[SPR_DIEC] = {sprite = SPR_TDIE, frame = G, nullifier = false}, -- pedal tip (Replace with Margarine)
			[SPR_DIED] = {sprite = SPR_TDIE, frame = D, nullifier = false}, -- right pedal (Replace with Teto Plush)
			[SPR_DIEE] = {sprite = SPR_TDIE, frame = E, nullifier = false}, -- steering wheel (Replace with Teto Medicine)
			[SPR_DIEG] = {sprite = SPR_TDIE, frame = F, nullifier = false}, -- left pedal (Replace with Teto Hito)
			[SPR_DIEH] = {sprite = SPR_TDIE, frame = B, nullifier = false}, -- strut (Replace with Baguettes)
			[SPR_DIEI] = {sprite = SPR_TDIE, frame = A, nullifier = false}, -- wheel axle bar (Replace with Twindrills)
			[SPR_DIEJ] = {sprite = SPR_TDIE, frame = C, nullifier = false}, -- screw (Replace with Teto Pear)
		}
		
		CUSTOM_GIBS["huesitos"] = {
			[SPR_DIEC] = {sprite = SPR_BDIE, frame = D, nullifier = false}, -- pedal tip (replace with boots)
			[SPR_DIED] = {sprite = SPR_BDIE, frame = C, nullifier = false}, -- right pedal (replace with right hand)
			[SPR_DIEE] = {sprite = SPR_BDIE, frame = A, nullifier = false}, -- steering wheel (replace with shell)
			[SPR_DIEG] = {sprite = SPR_BDIE, frame = B, nullifier = false}, -- left pedal (replace with left hand)
			[SPR_DIEH] = {sprite = SPR_BDIE, frame = G, nullifier = false}, -- strut (replace with large bone)
			[SPR_DIEJ] = {sprite = SPR_BDIE, frame = F, nullifier = false}, -- screw (Replace with small bone)
			[SPR_DIEK] = {sprite = SPR_BDIE, frame = E, nullifier = false}, -- engine block(Replace with jaw)
		}
	end
end)