// 
// Death-related lua
// Set up for Aqua's Friv initially, modified with permission from FrivolousAqua
// 

freeslot("sfx_hsmpdt") // Homer death sound

addHook("PlayerThink", function(p)
	// Safety check; don't run the code if you aren't playing as Homer
	if p.mo.skin != "homersimpson" then return end
	
	// Play homersimpson's loss sound when flying away!
	// If the sound is too long however, it could get cut off...
	if p.mo.skin == "homersimpson" and p.mo.state == S_KART_DEAD and p.deadtimer == 2 then
	  S_StartSound(p.mo, sfx_hsmpdt)
	end
end)