// 
// Death-related lua
// Set up for Aqua's Friv initially, modified with permission from FrivolousAqua
// 

freeslot("sfx_rdwddt") // Redwood death sound

addHook("PlayerThink", function(p)
	// Safety check; don't run the code if you aren't playing as Redwood
	if p.mo.skin != "redwood" then return end
	
	if p.mo.skin == "redwood" and p.mo.state == S_KART_DEAD then
		p.mo.rollangle = $ + FixedAngle(22*FRACUNIT) // Feel free to modify the integer value to adjust the speed of the rotation
		p.redwooddeath = true 
	// Without the redwooddeath variable, this would constantly run...
	// This is why the variable's necessary.
	elseif p.redwooddeath == true and p.mo.state != S_KART_DEAD then
		p.mo.rollangle = 0
		p.redwooddeath = false
	end
	
	// Play Redwood's loss sound when flying away!
	// If the sound is too long however, it could get cut off...
	if p.mo.skin == "redwood" and p.mo.state == S_KART_DEAD and p.deadtimer == 2 then
	  S_StartSound(p.mo, sfx_rdwddt)
	end
end)